Package org.zkoss.zul.event

## Class PageSizeEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zul.event.PageSizeEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class PageSizeEvent
      extends Event

  Used to notify the paging size has been changed when the autopaging (`MeshElement.setAutopaging(boolean)`) is enabled and user changed the size of the content.
  Since:
    2.4.1
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageSizeEvent​(java.lang.String name, Component target, int pgsz)` | Construct a page size event.
    `PageSizeEvent​(java.lang.String name, Component target, Pageable pageable, int pgsz)` | Construct a page size event that the target is different from the page controller.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Pageable` | `getPageable()` | Returns the pageable controller.
    `int` | `getPageSize()` | Returns the page size.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PageSizeEvent

          public PageSizeEvent​(java.lang.String name,
                               Component target,
                               int pgsz)

      Construct a page size event.
      Parameters:
        `target` - the target must be a paginal component, i.e., implements `Pageable`.
        `pgsz` - the new page size

    - #### PageSizeEvent

          public PageSizeEvent​(java.lang.String name,
                               Component target,
                               Pageable pageable,
                               int pgsz)

      Construct a page size event that the target is different from the page controller.
      Parameters:
        `target` - the event target
        `pageable` - the paging controller. In other words, it is usually `Paginal`.

  - ### Method Detail

    - #### getPageable

          public Pageable getPageable()

      Returns the pageable controller.

    - #### getPageSize

          public int getPageSize()

      Returns the page size.

      It is the same as `getPageable()`'s `Pageable.getPageSize()`.